group "Events.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 8 elements
Defined: | globally in fpml-business-events-5-5.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 4 locations

Content Model Diagram

Complex Content Model
(originatingEvent?, trade) | amendment | increase | (terminatingEvent?, termination) | novation | change

Content Model Elements (8):

  amendment, change, increase, novation, | originatingEvent (defined in Events.model group), terminatingEvent, termination, trade (defined in Events.model group)

Known Usage Locations

- In definitions of global complexTypes (4):
  EventProposedMatch, EventsChoice, PublicExecutionReport, PublicExecutionReportRetracted

Annotation
Choice between a trade and a post-trade event.
XML Source (w/o annotations (2); see within schema source)

<xsd:group name="Events.model"> <xsd:choice> <xsd:sequence> <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/> <xsd:element name="trade" type="Trade"/> </xsd:sequence> <xsd:element name="amendment" type="TradeAmendmentContent"/> <xsd:element name="increase" type="TradeNotionalChange"/> <xsd:sequence> <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/> <xsd:element name="termination" type="TradeNotionalChange"/> </xsd:sequence> <xsd:element name="novation" type="TradeNovationContent"/> <xsd:element name="change" type="TradeChangeContent"/> <!--View Generation: SKIPPED optionExercise - Unsupported--> <!--View Generation: SKIPPED optionExpiry - Unsupported--> <!--View Generation: SKIPPED deClear - Unsupported--> <!--View Generation: SKIPPED withdrawal - Unsupported--> <!--View Generation: SKIPPED - Unsupported--> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 8/8)
amendment

  Type: | TradeAmendmentContent, complex content

  XML Source (see within schema source)

  <xsd:element name="amendment" type="TradeAmendmentContent"/>

change

  Type: | TradeChangeContent, complex content

  XML Source (see within schema source)

  <xsd:element name="change" type="TradeChangeContent"/>

increase

  Type: | TradeNotionalChange, complex content

  XML Source (see within schema source)

  <xsd:element name="increase" type="TradeNotionalChange"/>

novation

  Type: | TradeNovationContent, complex content

  XML Source (see within schema source)

  <xsd:element name="novation" type="TradeNovationContent"/>

originatingEvent

  Type: | OriginatingEvent, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originatingEvent" type="OriginatingEvent"/>

terminatingEvent

  Type: | TerminatingEvent, simple content

  This may be used to describe why a trade was terminated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="terminatingEvent" type="TerminatingEvent"/>

termination

  Type: | TradeNotionalChange, complex content

  XML Source (see within schema source)

  <xsd:element name="termination" type="TradeNotionalChange"/>

trade

  Type: | Trade, complex content

  XML Source (see within schema source)

  <xsd:element name="trade" type="Trade"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.